Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class ScannerUtilities

    java.lang.Object
      org.apache.batik.css.parser.ScannerUtilities

    public class ScannerUtilities

extends Object

A collection of utility functions for a CSS scanner.

Field Summary
`protected static int[]` | `HEXADECIMAL` The set of the valid hexadecimal characters.
`protected static int[]` | `IDENTIFIER_START` The set of the valid identifier start characters.
`protected static int[]` | `NAME` The set of the valid name characters.
`protected static int[]` | `STRING` The set of the valid string characters.
`protected static int[]` | `URI` The set of the valid uri characters.

Constructor Summary
`protected` | `ScannerUtilities()` This class does not need to be instantiated.

Method Summary
`static boolean` | `isCSSHexadecimalCharacter(char c)` Tests whether the given character is a valid hexadecimal character.
`static boolean` | `isCSSIdentifierStartCharacter(char c)` Tests whether the given character is a valid identifier start character.
`static boolean` | `isCSSNameCharacter(char c)` Tests whether the given character is a valid name character.
`static boolean` | `isCSSSpace(char c)` Tests whether the given character is a valid space.
`static boolean` | `isCSSStringCharacter(char c)` Tests whether the given character is a valid string character.
`static boolean` | `isCSSURICharacter(char c)` Tests whether the given character is a valid URI character.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDENTIFIER_START

    protected static final int[] IDENTIFIER_START

  The set of the valid identifier start characters.

### NAME

    protected static final int[] NAME

  The set of the valid name characters.

### HEXADECIMAL

    protected static final int[] HEXADECIMAL

  The set of the valid hexadecimal characters.

### STRING

    protected static final int[] STRING

  The set of the valid string characters.

### URI

    protected static final int[] URI

  The set of the valid uri characters.

Constructor Detail

### ScannerUtilities

    protected ScannerUtilities()

  This class does not need to be instantiated.

Method Detail

### isCSSSpace

    public static boolean isCSSSpace(char c)

  Tests whether the given character is a valid space.

### isCSSIdentifierStartCharacter

    public static boolean isCSSIdentifierStartCharacter(char c)

  Tests whether the given character is a valid identifier start character.

### isCSSNameCharacter

    public static boolean isCSSNameCharacter(char c)

  Tests whether the given character is a valid name character.

### isCSSHexadecimalCharacter

    public static boolean isCSSHexadecimalCharacter(char c)

  Tests whether the given character is a valid hexadecimal character.

### isCSSStringCharacter

    public static boolean isCSSStringCharacter(char c)

  Tests whether the given character is a valid string character.

### isCSSURICharacter

    public static boolean isCSSURICharacter(char c)

  Tests whether the given character is a valid URI character.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.